---
title: "List Virtual Accounts by Rapyd Wallet"
source_url: https://docs.rapyd.net/en/list-virtual-accounts-by-rapyd-wallet-365103.html
lang: en
---

# List Virtual Accounts by Rapyd Wallet

List the virtual accounts that are attached to a Rapyd Wallet.

> **Note:**
>
> **Deprecated endpoint**. Rapyd no longer supports the deprecated endpoint. For the updated endpoint, see [List Virtual Accounts by Rapyd Wallet](https://docs.rapyd.net/en/list-virtual-accounts-by-rapyd-wallet.md "List Virtual Accounts by Rapyd Wallet").

### Parameters

### Request Query Parameters

- - ewallet
  - ID of the Rapyd Wallet that the virtual accounts were issued to. String starting with **ewallet_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - bank_accounts
  - Array of objects with details of the virtual accounts. Each object contains the following fields:

    - - account_id
      - The actual account number that was assigned to the virtual account when it was created.
    - - account_id_type
      - Type of the virtual account number, such as IBAN or CLABE.
    - - country_iso
      - Two-letter ISO 3166-1 ALPHA-2 code of the country of the virtual account.
    - - currency
      - Currency of the virtual account. Three-letter ISO 4217 code.
    - - issuing_id
      - ID of the virtual account number object. String starting with **issuing_**.
    - - requested_currency
      - Currency received by the virtual account after conversion. Uppercase. One of the following:

        - **AUD** - Australian Dollar
        - **EUR** - Euro
        - **GBP** - Pound Sterling
        - **HKD** - Hong Kong Dollar
        - **SGD** - Singapore Dollar
        - **USD** - US Dollar

        When not specified, the funds appear in the wallet’s currency account for the currency of the transaction.
    - - status
      - Indicates the status of the virtual account.

        - **ACT** - Active.
        - **CLO** - Closed.
        - **ERR** - Error.
        - **PEN** - Pending.
        - **REJ** - Rejected.
- - ewallet
  - ID of the Rapyd Wallet that the virtual accounts were issued to. String starting with **ewallet_**.

- /v1/issuing/bankaccounts/list

- List Virtual Accounts by Rapyd Wallet
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/issuing/bankaccounts/list?ewallet=ewallet_9a9b2a863de733ca0be3f61043208bd5' \
   -H 'access_key: your-access-key-here' \
   -H 'Content-Type: application/json' \
   -H 'salt: your-random-string-here' \
   -H 'signature: your-calculated-signature-here' \
   -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "beefe1dc-aba5-4a90-a093-3db97644bdee"
      },
      "data": {
          "ewallet": "ewallet_9a9b2a863de733ca0be3f61043208bd5",
          "bank_accounts": [
              {
                  "account_id": "GBnullCLRB04154212111217",
                  "account_id_type": "iban",
                  "currency": "GBP",
                  "country_iso": "GB",
                  "issuing_id": "issuing_aa62cfe8c7bb1444ae97288901dfdb44",
                  "status": "ACT",
                  "requested_currency": null
              },
              {
                  "account_id": "GBnullCLRB04151212111217",
                  "account_id_type": "iban",
                  "currency": "GBP",
                  "country_iso": "GB",
                  "issuing_id": "issuing_05193e13376b72232cf932bd9aafcfad",
                  "status": "ACT",
                  "requested_currency": null
              }
          ]
      }
  }
  ```
